## org.hibernate.tuple.component
Class ComponentMetamodel

    java.lang.Object
      org.hibernate.tuple.component.ComponentMetamodel

All Implemented Interfaces:
  Serializable

    public class ComponentMetamodel

extends Object
implements Serializable

Centralizes metamodel information about a component.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`ComponentMetamodel(Component component)`

Method Summary
`StandardProperty[]` `getProperties()`
`StandardProperty` `getProperty(int index)`
`StandardProperty` `getProperty(String propertyName)`
`int` `getPropertyIndex(String propertyName)`
`int` `getPropertySpan()`
`org.hibernate.tuple.component.ComponentEntityModeToTuplizerMapping` `getTuplizerMapping()`
`boolean` `isKey()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentMetamodel

    public ComponentMetamodel(Component component)

Method Detail

### isKey

    public boolean isKey()

### getPropertySpan

    public int getPropertySpan()

### getProperties

    public StandardProperty[] getProperties()

### getProperty

    public StandardProperty getProperty(int index)

### getPropertyIndex

    public int getPropertyIndex(String propertyName)

### getProperty

    public StandardProperty getProperty(String propertyName)

### getTuplizerMapping

    public org.hibernate.tuple.component.ComponentEntityModeToTuplizerMapping getTuplizerMapping()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.